package com.fsense.dto;

import java.io.Serializable;

@SuppressWarnings("serial")
public class WorkdayCsvDTO implements Serializable {
	
	private Integer id;
	private String name;
	private boolean isFlexible;
	private String ignoreNonFocusLongerThan;
	private boolean workNationalHolidays;
	private boolean workRegionalHolidays;
	private String weekday;
	private String maxFlexibleDuration;
	private String start;
	private String end;
	private Integer calendarId;
	
	public WorkdayCsvDTO() {
	}

	public WorkdayCsvDTO(Integer id, String name, boolean isFlexible, String ignoreNonFocusLongerThan,
			boolean workNationalHolidays, boolean workRegionalHolidays, String weekday, String maxFlexibleDuration,
			String start, String end, Integer calendarId) {
		this.id = id;
		this.name = name;
		this.isFlexible = isFlexible;
		this.ignoreNonFocusLongerThan = ignoreNonFocusLongerThan;
		this.workNationalHolidays = workNationalHolidays;
		this.workRegionalHolidays = workRegionalHolidays;
		this.weekday = weekday;
		this.maxFlexibleDuration = maxFlexibleDuration;
		this.start = start;
		this.end = end;
		this.calendarId = calendarId;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public boolean isFlexible() {
		return isFlexible;
	}

	public void setFlexible(boolean isFlexible) {
		this.isFlexible = isFlexible;
	}

	public String getIgnoreNonFocusLongerThan() {
		return ignoreNonFocusLongerThan;
	}

	public void setIgnoreNonFocusLongerThan(String ignoreNonFocusLongerThan) {
		this.ignoreNonFocusLongerThan = ignoreNonFocusLongerThan;
	}

	public boolean isWorkNationalHolidays() {
		return workNationalHolidays;
	}

	public void setWorkNationalHolidays(boolean workNationalHolidays) {
		this.workNationalHolidays = workNationalHolidays;
	}

	public boolean isWorkRegionalHolidays() {
		return workRegionalHolidays;
	}

	public void setWorkRegionalHolidays(boolean workRegionalHolidays) {
		this.workRegionalHolidays = workRegionalHolidays;
	}

	public String getWeekday() {
		return weekday;
	}

	public void setWeekday(String weekday) {
		this.weekday = weekday;
	}

	public String getMaxFlexibleDuration() {
		return maxFlexibleDuration;
	}

	public void setMaxFlexibleDuration(String maxFlexibleDuration) {
		this.maxFlexibleDuration = maxFlexibleDuration;
	}

	public String getStart() {
		return start;
	}

	public void setStart(String start) {
		this.start = start;
	}

	public String getEnd() {
		return end;
	}

	public void setEnd(String end) {
		this.end = end;
	}

	public Integer getCalendarId() {
		return calendarId;
	}

	public void setCalendarId(Integer calendarId) {
		this.calendarId = calendarId;
	}

	@Override
	public String toString() {
		return "{id=" + id + ", name=" + name + ", isFlexible=" + isFlexible
				+ ", ignoreNonFocusLongerThan=" + ignoreNonFocusLongerThan + ", workNationalHolidays="
				+ workNationalHolidays + ", workRegionalHolidays=" + workRegionalHolidays + ", weekday=" + weekday
				+ ", maxFlexibleDuration=" + maxFlexibleDuration + ", start=" + start + ", end=" + end + ", calendarId=" + calendarId + "}";
	}
	
	
}
