package com.fsense.entities;

import java.io.Serializable;

@SuppressWarnings("serial")
public class ActivityQuery implements Serializable {


    private String startDate;
    private String endDate;
    private Integer page;
    private Integer limit;
    private String user;
    private String application;
    private String category;
    
    public ActivityQuery() {
	}

	public ActivityQuery(String startDate, String endDate) {
		this.startDate = startDate;
		this.endDate = endDate;
	}
     
	public ActivityQuery(String startDate, String endDate, Integer page, Integer limit, String user, String application,
			String category) {
		this.startDate = startDate;
		this.endDate = endDate;
		this.page = page;
		this.limit = limit;
		this.user = user;
		this.application = application;
		this.category = category;
	}

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public String getApplication() {
		return application;
	}

	public void setApplication(String application) {
		this.application = application;
	}
	
	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}
}
