package com.fsense.entities;

import java.io.Serializable;

public class ClientRequestIntegrationConfiguration implements Serializable {
	private static final long serialVersionUID = 1L;
	
	private String baseUrl;
	private String apiVersion;
	
	public ClientRequestIntegrationConfiguration() {
	}

	public ClientRequestIntegrationConfiguration(String baseUrl, String apiVersion) {
		this.baseUrl = baseUrl;
		this.apiVersion = apiVersion;
	}

	public String getBaseUrl() {
		return baseUrl;
	}

	public void setBaseUrl(String baseUrl) {
		this.baseUrl = baseUrl;
	}

	public String getApiVersion() {
		return apiVersion;
	}

	public void setApiVersion(String apiVersion) {
		this.apiVersion = apiVersion;
	}
}
