package com.fsense.entities;

public class Event {
	
    private String application;
    private String login;
    private String processName;
    private Integer evtDurationMilliseconds;
    private String host;
    private String url;
    private String machine;
    private String internalIp;
    private String evtFired;
    private String evtStopped;
    private String creationDate;
    private Double mouseClicksPerMillisecond;
    private Double keystrokesPerMillisecond;
    private Integer keystrokesCount;
    private Integer mouseClicksCount;

    public Event() {
    }

	public Event(String application, String login, String processName, Integer evtDurationMilliseconds, String host,
			String url, String machine, String internalIp, String evtFired, String evtStopped, String creationDate,
			Double mouseClicksPerMillisecond, Double keystrokesPerMillisecond, Integer keystrokesCount,
			Integer mouseClicksCount) {
		this.application = application;
		this.login = login;
		this.processName = processName;
		this.evtDurationMilliseconds = evtDurationMilliseconds;
		this.host = host;
		this.url = url;
		this.machine = machine;
		this.internalIp = internalIp;
		this.evtFired = evtFired;
		this.evtStopped = evtStopped;
		this.creationDate = creationDate;
		this.mouseClicksPerMillisecond = mouseClicksPerMillisecond;
		this.keystrokesPerMillisecond = keystrokesPerMillisecond;
		this.keystrokesCount = keystrokesCount;
		this.mouseClicksCount = mouseClicksCount;
	}

	public String getApplication() {
		return application;
	}

	public void setApplication(String application) {
		this.application = application;
	}

	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public String getProcessName() {
		return processName;
	}

	public void setProcessName(String processName) {
		this.processName = processName;
	}

	public Integer getEvtDurationMilliseconds() {
		return evtDurationMilliseconds;
	}

	public void setEvtDurationMilliseconds(Integer evtDurationMilliseconds) {
		this.evtDurationMilliseconds = evtDurationMilliseconds;
	}

	public String getHost() {
		return host;
	}

	public void setHost(String host) {
		this.host = host;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getMachine() {
		return machine;
	}

	public void setMachine(String machine) {
		this.machine = machine;
	}

	public String getInternalIp() {
		return internalIp;
	}

	public void setInternalIp(String internalIp) {
		this.internalIp = internalIp;
	}

	public String getEvtFired() {
		return evtFired;
	}

	public void setEvtFired(String evtFired) {
		this.evtFired = evtFired;
	}

	public String getEvtStopped() {
		return evtStopped;
	}

	public void setEvtStopped(String evtStopped) {
		this.evtStopped = evtStopped;
	}

	public String getCreationDate() {
		return creationDate;
	}

	public void setCreationDate(String creationDate) {
		this.creationDate = creationDate;
	}

	public Double getMouseClicksPerMillisecond() {
		return mouseClicksPerMillisecond;
	}

	public void setMouseClicksPerMillisecond(Double mouseClicksPerMillisecond) {
		this.mouseClicksPerMillisecond = mouseClicksPerMillisecond;
	}

	public Double getKeystrokesPerMillisecond() {
		return keystrokesPerMillisecond;
	}

	public void setKeystrokesPerMillisecond(Double keystrokesPerMillisecond) {
		this.keystrokesPerMillisecond = keystrokesPerMillisecond;
	}

	public Integer getKeystrokesCount() {
		return keystrokesCount;
	}

	public void setKeystrokesCount(Integer keystrokesCount) {
		this.keystrokesCount = keystrokesCount;
	}

	public Integer getMouseClicksCount() {
		return mouseClicksCount;
	}

	public void setMouseClicksCount(Integer mouseClicksCount) {
		this.mouseClicksCount = mouseClicksCount;
	}
}
