package com.fsense.entities;

import java.io.Serializable;

@SuppressWarnings("serial")
public class EventQuery implements Serializable {

    private String startDate;
    private String endDate;
    private String startCreationDate;
    private String endCreationDate;
    private Integer page;
    private Integer limit;
    private String user;
    private String login;
    private String application;
    private String category;
    
    public EventQuery() {	
    }

	public EventQuery(String startDate, String endDate, String startCreationDate, String endCreationDate, Integer page,
			Integer limit, String user, String login, String application, String category) {
		this.startDate = startDate;
		this.endDate = endDate;
		this.startCreationDate = startCreationDate;
		this.endCreationDate = endCreationDate;
		this.page = page;
		this.limit = limit;
		this.user = user;
		this.login = login;
		this.application = application;
		this.category = category;
	}

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public String getStartCreationDate() {
		return startCreationDate;
	}

	public void setStartCreationDate(String startCreationDate) {
		this.startCreationDate = startCreationDate;
	}

	public String getEndCreationDate() {
		return endCreationDate;
	}

	public void setEndCreationDate(String endCreationDate) {
		this.endCreationDate = endCreationDate;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public String getApplication() {
		return application;
	}

	public void setApplication(String application) {
		this.application = application;
	}

	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}
}
