package com.fsense.entities;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@SuppressWarnings("serial")
public class EventsResponse implements Serializable {

    private String endpoint;
    private EventQuery query;
    private Integer totalPages;
    private Integer totalUsers;
    private Integer pageUsers;
    private Integer totalEvents;
    private List<Event> data = new ArrayList<>();

    public EventsResponse() {
    }

    public EventsResponse(String endpoint, EventQuery query,Integer totalPages, Integer totalUsers, Integer pageUsers, Integer totalEvents) {
        this.endpoint = endpoint;
        this.query = query;
        this.totalPages = totalPages;
        this.totalUsers = totalUsers;
        this.pageUsers = pageUsers;
        this.totalEvents = totalEvents;
    }

    public String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }

    public EventQuery getQuery() {
        return query;
    }

    public void setQuery(EventQuery query) {
        this.query = query;
    }


    public Integer getTotalPages() {
        return totalPages;
    }

    public void setTotalPages(Integer totalPages) {
        this.totalPages = totalPages;
    }

    public Integer getTotalUsers() {
        return totalUsers;
    }

    public void setTotalUsers(Integer totalUsers) {
        this.totalUsers = totalUsers;
    }

    public Integer getPageUsers() {
        return pageUsers;
    }

    public void setPageUsers(Integer pageUsers) {
        this.pageUsers = pageUsers;
    }

    public Integer getTotalEvents() {
        return totalEvents;
    }

    public void setTotalEvents(Integer totalEvents) {
        this.totalEvents = totalEvents;
    }

    public List<Event> getData() {
        return data;
    }
}