package com.fsense.entities;

import java.util.Objects;

public class FSCalendar {

    private Integer id;
    private String externalCode;
    private String name;

    public FSCalendar(){
    }

    public FSCalendar(Integer id, String externalCode, String name) {
        this.id = id;
        this.externalCode = externalCode;
        this.name = name;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getExternalCode() {
        return externalCode;
    }

    public void setExternalCode(String externalCode) {
        this.externalCode = externalCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        FSCalendar that = (FSCalendar) o;
        return Objects.equals(id, that.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }

    @Override
    public String toString() {
        return "{" +
                "id: " + id + ", externalCode: " + externalCode + ", name: " + name + "}";
    }
}
