package com.fsense.entities;

import java.util.ArrayList;
import java.util.List;

public class FSCalendarResponse {
    private Integer currentPage;
    private List<FSCalendar> data = new ArrayList<>();
    private String endpoint;
    private FSCalendarQuery query;
    private Integer totalPages;
    private Integer totalRecords;

    public FSCalendarResponse() {
    }

    public FSCalendarResponse(Integer currentPage, String endpoint, FSCalendarQuery query, Integer totalPages, Integer totalRecords) {
        this.currentPage = currentPage;
        this.endpoint = endpoint;
        this.query = query;
        this.totalPages = totalPages;
        this.totalRecords = totalRecords;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public List<FSCalendar> getData() {
        return data;
    }

    public String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }

    public FSCalendarQuery getQuery() {
        return query;
    }

    public void setQuery(FSCalendarQuery query) {
        this.query = query;
    }

    public Integer getTotalPages() {
        return totalPages;
    }

    public void setTotalPages(Integer totalPages) {
        this.totalPages = totalPages;
    }

    public Integer getTotalRecords() {
        return totalRecords;
    }

    public void setTotalRecords(Integer totalRecords) {
        this.totalRecords = totalRecords;
    }
}
