package com.fsense.entities;

import java.io.Serializable;
import java.util.Date;

@SuppressWarnings("serial")
public class Holiday implements Serializable {
	
	private Integer id;
	private String name;
	private HolidayType type;
	private Date date;
	private boolean canRepeat;
	private Integer year;
	private Integer month;
	private Integer day;
	private Integer calendarId;
	
	public Holiday() {
	}
	
	

	public Holiday(Integer id, String name, HolidayType type, Date date, boolean canRepeat, Integer year, Integer month,
			Integer day, Integer calendarId) {
		this.id = id;
		this.name = name;
		this.type = type;
		this.date = date;
		this.canRepeat = canRepeat;
		this.year = year;
		this.month = month;
		this.day = day;
		this.calendarId = calendarId;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public HolidayType getType() {
		return type;
	}

	public void setType(HolidayType type) {
		this.type = type;
	}

	public boolean isCanRepeat() {
		return canRepeat;
	}

	public void setCanRepeat(boolean canRepeat) {
		this.canRepeat = canRepeat;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public Integer getYear() {
		return year;
	}

	public void setYear(Integer year) {
		this.year = year;
	}

	public Integer getMonth() {
		return month;
	}

	public void setMonth(Integer month) {
		this.month = month;
	}

	public Integer getDay() {
		return day;
	}

	public void setDay(Integer day) {
		this.day = day;
	}

	public Integer getCalendarId() {
		return calendarId;
	}

	public void setCalendarId(Integer calendarId) {
		this.calendarId = calendarId;
	}
}