package com.fsense.entities;

public class Keystrokes {
	
	private String machineName;
	private String userName;
	private String creationDate;
	private Integer personId;
	private Integer deviceId;
	private Integer keystrokesCount;
	private Integer mouseClicksCount;
	private Double keystrokesPerMillisecond;
	private Double mouseClicksPerMillisecond;
	private String start;
	private String end;
	private Integer duration;
	
	public Keystrokes() {
	}

	public Keystrokes(String machineName, String userName, String creationDate, Integer personId, Integer deviceId,
			Integer keystrokesCount, Integer mouseClicksCount, Double keystrokesPerMillisecond,
			Double mouseClicksPerMillisecond, String start, String end, Integer duration) {
		this.machineName = machineName;
		this.userName = userName;
		this.creationDate = creationDate;
		this.personId = personId;
		this.deviceId = deviceId;
		this.keystrokesCount = keystrokesCount;
		this.mouseClicksCount = mouseClicksCount;
		this.keystrokesPerMillisecond = keystrokesPerMillisecond;
		this.mouseClicksPerMillisecond = mouseClicksPerMillisecond;
		this.start = start;
		this.end = end;
		this.duration = duration;
	}

	public String getMachineName() {
		return machineName;
	}

	public void setMachineName(String machineName) {
		this.machineName = machineName;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getCreationDate() {
		return creationDate;
	}

	public void setCreationDate(String creationDate) {
		this.creationDate = creationDate;
	}

	public Integer getPersonId() {
		return personId;
	}

	public void setPersonId(Integer personId) {
		this.personId = personId;
	}

	public Integer getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(Integer deviceId) {
		this.deviceId = deviceId;
	}

	public Integer getKeystrokesCount() {
		return keystrokesCount;
	}

	public void setKeystrokesCount(Integer keystrokesCount) {
		this.keystrokesCount = keystrokesCount;
	}

	public Integer getMouseClicksCount() {
		return mouseClicksCount;
	}

	public void setMouseClicksCount(Integer mouseClicksCount) {
		this.mouseClicksCount = mouseClicksCount;
	}

	public Double getKeystrokesPerMillisecond() {
		return keystrokesPerMillisecond;
	}

	public void setKeystrokesPerMillisecond(Double keystrokesPerMillisecond) {
		this.keystrokesPerMillisecond = keystrokesPerMillisecond;
	}

	public Double getMouseClicksPerMillisecond() {
		return mouseClicksPerMillisecond;
	}

	public void setMouseClicksPerMillisecond(Double mouseClicksPerMillisecond) {
		this.mouseClicksPerMillisecond = mouseClicksPerMillisecond;
	}

	public String getStart() {
		return start;
	}

	public void setStart(String start) {
		this.start = start;
	}

	public String getEnd() {
		return end;
	}

	public void setEnd(String end) {
		this.end = end;
	}

	public Integer getDuration() {
		return duration;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

	@Override
	public String toString() {
		return "Keystrokes [machineName=" + machineName + ", userName=" + userName + ", creationDate=" + creationDate
				+ ", personId=" + personId + ", deviceId=" + deviceId + ", keystrokesCount=" + keystrokesCount
				+ ", mouseClicksCount=" + mouseClicksCount + ", keystrokesPerMillisecond=" + keystrokesPerMillisecond
				+ ", mouseClicksPerMillisecond=" + mouseClicksPerMillisecond + ", start=" + start + ", end=" + end
				+ ", duration=" + duration + "]";
	}
}
