package com.fsense.entities;

import java.util.ArrayList;
import java.util.List;

public class KeystrokesQuery {
	
	private Integer page;
	private Integer limit;
	private List<String> userNames = new ArrayList<>();
	private String startDateTime;
	private String endDateTime;
	
	public KeystrokesQuery() {
	}

	public KeystrokesQuery(Integer page, Integer limit, String startDateTime, String endDateTime) {
		this.page = page;
		this.limit = limit;
		this.startDateTime = startDateTime;
		this.endDateTime = endDateTime;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public String getStartDateTime() {
		return startDateTime;
	}

	public void setStartDateTime(String startDateTime) {
		this.startDateTime = startDateTime;
	}

	public String getEndDateTime() {
		return endDateTime;
	}

	public void setEndDateTime(String endDateTime) {
		this.endDateTime = endDateTime;
	}

	public List<String> getUserNames() {
		return userNames;
	}
}
