package com.fsense.entities;

import java.util.ArrayList;
import java.util.List;

public class KeystrokesResponse {
	
	private String endpoint;
	private KeystrokesQuery query;
	private Integer currentPage;
	private Integer totalPages;
	private Integer totalRecords;
	private List<Keystrokes> data = new ArrayList<>();
	
	public KeystrokesResponse() {
	}

	public KeystrokesResponse(String endpoint, KeystrokesQuery query, Integer currentPage, Integer totalPages,
			Integer totalRecords) {
		this.endpoint = endpoint;
		this.query = query;
		this.currentPage = currentPage;
		this.totalPages = totalPages;
		this.totalRecords = totalRecords;
	}

	public String getEndpoint() {
		return endpoint;
	}

	public void setEndpoint(String endpoint) {
		this.endpoint = endpoint;
	}

	public KeystrokesQuery getQuery() {
		return query;
	}

	public void setQuery(KeystrokesQuery query) {
		this.query = query;
	}

	public Integer getCurrentPage() {
		return currentPage;
	}

	public void setCurrentPage(Integer currentPage) {
		this.currentPage = currentPage;
	}

	public Integer getTotalPages() {
		return totalPages;
	}

	public void setTotalPages(Integer totalPages) {
		this.totalPages = totalPages;
	}

	public Integer getTotalRecords() {
		return totalRecords;
	}

	public void setTotalRecords(Integer totalRecords) {
		this.totalRecords = totalRecords;
	}

	public List<Keystrokes> getData() {
		return data;
	}
}
