package com.fsense.entities;

import java.io.Serializable;

public class LoginHistoryQuery implements Serializable  {
	private static final long serialVersionUID = 1L;
	
	private Integer personId;
	private String start;
	private String end;
	
	public LoginHistoryQuery() {
	}

	public LoginHistoryQuery(Integer personId) {
		this.personId = personId;
	}
	
	public LoginHistoryQuery(Integer personId, String start,String end) {
		this.personId = personId;
		this.start = start;
		this.end = end;
	}

	public Integer getPersonId() {
		return personId;
	}

	public void setPersonId(Integer personId) {
		this.personId = personId;
	}

	public String getStart() {
		return start;
	}

	public void setStart(String start) {
		this.start = start;
	}

	public String getEnd() {
		return end;
	}

	public void setEnd(String end) {
		this.end = end;
	}
}
