package com.fsense.entities;

import java.io.Serializable;
@SuppressWarnings("serial")
public class Member implements Serializable {
	
	private Integer id;
	private String name;
	private String email;
	private String deviceIdentifier;
	private Integer teamId;
	private String teamName;
	
	public Member() {
	}

	public Member(Integer id, String name, String email, String deviceIdentifier, Integer teamId, String teamName) {
		this.id = id;
		this.name = name;
		this.email = email;
		this.deviceIdentifier = deviceIdentifier;
		this.teamId = teamId;
		this.teamName = teamName;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getDeviceIdentifier() {
		return deviceIdentifier;
	}

	public void setDeviceIdentifier(String deviceIdentifier) {
		this.deviceIdentifier = deviceIdentifier;
	}

	public Integer getTeamId() {
		return teamId;
	}

	public void setTeamId(Integer teamId) {
		this.teamId = teamId;
	}

	public String getTeamName() {
		return teamName;
	}

	public void setTeamName(String teamName) {
		this.teamName = teamName;
	}

	@Override
	public String toString() {
		return "Member [id=" + id + ", name=" + name + ", email=" + email + ", deviceIdentifier=" + deviceIdentifier
				+ ", teamId=" + teamId + ", teamName=" + teamName + "]";
	}
	
	
}
