package com.fsense.entities;

public class Person {
	
	private Integer id;
	private String name;
	private String email;
	private String deviceIdentifier;
	private Integer teamId;
	private String teamName;
	private Integer workdayId;
	private boolean canDelete;
	private boolean root;
	private Integer calendarId;
	
	public Person() {
	}

	public Person(Integer id, String name, String email, String deviceIdentifier, Integer teamId, String teamName,
				  Integer workdayId,boolean canDelete, boolean root, Integer calendarId) {
		this.id = id;
		this.name = name;
		this.email = email;
		this.deviceIdentifier = deviceIdentifier;
		this.teamId = teamId;
		this.teamName = teamName;
		this.workdayId = workdayId;
		this.canDelete = canDelete;
		this.root = root;
		this.calendarId = calendarId;
	}
	
	public Person(Integer id, String name,String deviceIdentifier) {
		this.id = id;
		this.name = name;
		this.deviceIdentifier = deviceIdentifier;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getDeviceIdentifier() {
		return deviceIdentifier;
	}

	public void setDeviceIdentifier(String deviceIdentifier) {
		this.deviceIdentifier = deviceIdentifier;
	}

	public Integer getTeamId() {
		return teamId;
	}

	public void setTeamId(Integer teamId) {
		this.teamId = teamId;
	}

	public String getTeamName() {
		return teamName;
	}

	public void setTeamName(String teamName) {
		this.teamName = teamName;
	}

	public Integer getWorkdayId() {
		return workdayId;
	}

	public void setWorkdayId(Integer workdayId) {
		this.workdayId = workdayId;
	}

	public boolean isCanDelete() {
		return canDelete;
	}

	public void setCanDelete(boolean canDelete) {
		this.canDelete = canDelete;
	}

	public boolean isRoot() {
		return root;
	}

	public void setRoot(boolean root) {
		this.root = root;
	}

	public Integer getCalendarId() {
		return calendarId;
	}

	public void setCalendarId(Integer calendarId) {
		this.calendarId = calendarId;
	}

	@Override
	public String toString() {
		return  "{ id " + id +
				", name: " + name +
				", email: " + email +
				", deviceIdentifier: " + deviceIdentifier +
				", teamId: " + teamId +
				", teamName: " + teamName +
				", workdayId: " + workdayId +
				", canDelete: " + canDelete +
				", root: " + root +
				", calendarId: " + calendarId +
			"}";
	}
}
