package com.fsense.entities;

import java.io.Serializable;
@SuppressWarnings("serial")
public class PersonQuery implements Serializable {
	
	private String name;
	private String email;
	private String deviceIdentifier;
	private String externalCode;
	private Integer teamId;
	private Integer limit;
	private Integer page;
	
	public PersonQuery() {
	}
	
	public PersonQuery(String name, String email, String deviceIdentifier, String externalCode, Integer teamId) {
		this.name = name;
		this.email = email;
		this.deviceIdentifier = deviceIdentifier;
		this.externalCode = externalCode;
		this.teamId = teamId;
	}



	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getDeviceIdentifier() {
		return deviceIdentifier;
	}

	public void setDeviceIdentifier(String deviceIdentifier) {
		this.deviceIdentifier = deviceIdentifier;
	}

	public String getExternalCode() {
		return externalCode;
	}

	public void setExternalCode(String externalCode) {
		this.externalCode = externalCode;
	}

	public Integer getTeamId() {
		return teamId;
	}

	public void setTeamId(Integer teamId) {
		this.teamId = teamId;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}
}
