package com.fsense.entities;

import java.util.ArrayList;
import java.util.List;

public class PersonResponse {
	
	private String endpoint;
	private PersonUpdateQuery query;
	private Integer currentPage;
	private Integer totalPages;
	private Integer totalRecords;
	private List<Person> data = new ArrayList<>();
	
	public PersonResponse() {
	}

	public PersonResponse(String endpoint, PersonUpdateQuery query, Integer currentPage, Integer totalPages,
			Integer totalRecords) {
		this.endpoint = endpoint;
		this.query = query;
		this.currentPage = currentPage;
		this.totalPages = totalPages;
		this.totalRecords = totalRecords;
	}
	
	public String getEndpoint() {
		return endpoint;
	}

	public void setEndpoint(String endpoint) {
		this.endpoint = endpoint;
	}

	public PersonUpdateQuery getQuery() {
		return query;
	}

	public void setQuery(PersonUpdateQuery query) {
		this.query = query;
	}

	public Integer getCurrentPage() {
		return currentPage;
	}

	public void setCurrentPage(Integer currentPage) {
		this.currentPage = currentPage;
	}

	public Integer getTotalPages() {
		return totalPages;
	}

	public void setTotalPages(Integer totalPages) {
		this.totalPages = totalPages;
	}

	public Integer getTotalRecords() {
		return totalRecords;
	}

	public void setTotalRecords(Integer totalRecords) {
		this.totalRecords = totalRecords;
	}

	public List<Person> getData() {
		return data;
	}
	
	
}
