package com.fsense.entities;

import java.io.Serializable;

@SuppressWarnings("serial")
public class ProrogationQuery implements Serializable {
	
	private Integer page;
	private Integer limit;
	private Integer personId;
	private String date;
	private String status;
	
	public ProrogationQuery() {
	}

	public ProrogationQuery(Integer page, Integer limit, Integer personId, String date, String status) {
		this.page = page;
		this.limit = limit;
		this.personId = personId;
		this.date = date;
		this.status = status;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public Integer getPersonId() {
		return personId;
	}

	public void setPersonId(Integer personId) {
		this.personId = personId;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
}
