package com.fsense.entities;

import java.io.Serializable;
import java.util.List;
import java.util.ArrayList;
@SuppressWarnings("serial")
public class TeamMembers implements Serializable {
	
	private Integer id;
	private String name;
	private List<Member> members = new ArrayList<>();
	private List<Member> leaders = new ArrayList<>();
	private Integer membersCount;
	private Integer teamParentId;
	private String teamParentName;
	private String externalCode;
	
	public TeamMembers() {
	}
	
	public TeamMembers(Integer id, String name, List<Member> members, List<Member> leaders, Integer membersCount,
			Integer teamParentId, String teamParentName, String externalCode) {
		this.id = id;
		this.name = name;
		this.members = members;
		this.leaders = leaders;
		this.membersCount = membersCount;
		this.teamParentId = teamParentId;
		this.teamParentName = teamParentName;
		this.externalCode = externalCode;
	}
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<Member> getMembers() {
		return members;
	}

	public void setMembers(List<Member> members) {
		this.members = members;
	}

	public List<Member> getLeaders() {
		return leaders;
	}

	public void setLeaders(List<Member> leaders) {
		this.leaders = leaders;
	}

	public Integer getMembersCount() {
		return membersCount;
	}

	public void setMembersCount(Integer membersCount) {
		this.membersCount = membersCount;
	}

	public Integer getTeamParentId() {
		return teamParentId;
	}

	public void setTeamParentId(Integer teamParentId) {
		this.teamParentId = teamParentId;
	}

	public String getTeamParentName() {
		return teamParentName;
	}

	public void setTeamParentName(String teamParentName) {
		this.teamParentName = teamParentName;
	}

	public String getExternalCode() {
		return externalCode;
	}

	public void setExternalCode(String externalCode) {
		this.externalCode = externalCode;
	}

	@Override
	public String toString() {
		return "TeamMembers [id=" + id + ", name=" + name + ", members=" + members + ", leaders=" + leaders
				+ ", membersCount=" + membersCount + ", teamParentId=" + teamParentId + ", teamParentName="
				+ teamParentName + ", externalCode=" + externalCode + "]";
	}
	
	
}
