package com.fsense.entities;

import java.io.Serializable;
@SuppressWarnings("serial")
public class TeamQuery implements Serializable {
	
	private String name;
	private String externalCode;
	private Integer limit;
	private Integer page;

	public TeamQuery() {
	}
	
	public TeamQuery(String name, String externalCode) {
		this.name = name;
		this.externalCode = externalCode;
	}

	public TeamQuery(String name, String externalCode, Integer limit, Integer page) {
		this.name = name;
		this.externalCode = externalCode;
		this.limit = limit;
		this.page = page;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getExternalCode() {
		return externalCode;
	}

	public void setExternalCode(String externalCode) {
		this.externalCode = externalCode;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}
}
