package com.fsense.entities;

import java.io.Serializable;

@SuppressWarnings("serial")
public class WorkdayOverride implements Serializable{
	
	private Integer id;
	private WorkdayOverridePersonResponse person;
	private String date;
	private String startTime;
	private String intervalStartTime;
	private String endTime;
	private String intervalEndTime;
	private WorkdayOverridePersonResponse creator;
	private String message;
	private String maxFlexibleDuration;
	
	public WorkdayOverride() {
	}

	public WorkdayOverride(Integer id, WorkdayOverridePersonResponse person, String date, String startTime,
			String intervalStartTime, String endTime, String intervalEndTime,WorkdayOverridePersonResponse creator, String message,  String maxFlexibleDuration) {
		this.id = id;
		this.person = person;
		this.date = date;
		this.startTime = startTime;
		this.intervalStartTime = intervalStartTime;
		this.endTime = endTime;
		this.intervalEndTime = intervalEndTime;
		this.creator = creator;
		this.message = message;
		this.maxFlexibleDuration = maxFlexibleDuration;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public WorkdayOverridePersonResponse getPerson() {
		return person;
	}

	public void setPerson(WorkdayOverridePersonResponse person) {
		this.person = person;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getIntervalStartTime() {
		return intervalStartTime;
	}

	public void setIntervalStartTime(String intervalStartTime) {
		this.intervalStartTime = intervalStartTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getIntervalEndTime() {
		return intervalEndTime;
	}

	public void setIntervalEndTime(String intervalEndTime) {
		this.intervalEndTime = intervalEndTime;
	}

	public String getMessage() {
		return message;
	}
	
	public WorkdayOverridePersonResponse getCreator() {
		return creator;
	}

	public void setCreator(WorkdayOverridePersonResponse creator) {
		this.creator = creator;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getMaxFlexibleDuration() {
		return maxFlexibleDuration;
	}

	public void setMaxFlexibleDuration(String maxFlexibleDuration) {
		this.maxFlexibleDuration = maxFlexibleDuration;
	}

	@Override
	public String toString() {
		return "WorkdayOverride [id=" + id + ", person=" + person + ", date=" + date + ", startTime=" + startTime
				+ ", intervalStartTime=" + intervalStartTime + ", endTime=" + endTime + ", intervalEndTime="
				+ intervalEndTime + ", creator=" + creator + ", message=" + message + ", maxFlexibleDuration="
				+ maxFlexibleDuration + "]";
	}
	
	
	
}