package com.fsense.entities;

import java.io.Serializable;

@SuppressWarnings("serial")
public class WorkdayOverrideQuery implements Serializable {
	
	private Integer page;
	private Integer limit;
	private Integer personId;
	private String startDate;
	private String endDate;
	
	public WorkdayOverrideQuery() {
	}

	public WorkdayOverrideQuery(Integer page, Integer limit, Integer personId, String startDate, String endDate) {
		this.page = page;
		this.limit = limit;
		this.personId = personId;
		this.startDate = startDate;
		this.endDate = endDate;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}
	
	public Integer getPersonId() {
		return personId;
	}

	public void setPersonId(Integer personId) {
		this.personId = personId;
	}

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
}
