package com.fsense.entities;

import java.io.Serializable;

@SuppressWarnings("serial")
public class WorkdayProrogation implements Serializable {
	
	private Integer id;
	private String source;
	private Person person;
	private Device device;
	private String requestMessage;
	private String date;
	private String startTime;
	private String endTime;
	private String finalTime;
	private String extraTime;
	private String status;
	
	public WorkdayProrogation() {
	}

	public WorkdayProrogation(Integer id, String source, Person person, Device device, String requestMessage,
			String date, String startTime, String endTime, String finalTime, String extraTime, String status) {
		this.id = id;
		this.source = source;
		this.person = person;
		this.device = device;
		this.requestMessage = requestMessage;
		this.date = date;
		this.startTime = startTime;
		this.endTime = endTime;
		this.finalTime = finalTime;
		this.extraTime = extraTime;
		this.status = status;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public Person getPerson() {
		return person;
	}

	public void setPerson(Person person) {
		this.person = person;
	}

	public Device getDevice() {
		return device;
	}

	public void setDevice(Device device) {
		this.device = device;
	}

	public String getRequestMessage() {
		return requestMessage;
	}

	public void setRequestMessage(String requestMessage) {
		this.requestMessage = requestMessage;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getFinalTime() {
		return finalTime;
	}

	public void setFinalTime(String finalTime) {
		this.finalTime = finalTime;
	}

	public String getExtraTime() {
		return extraTime;
	}

	public void setExtraTime(String extraTime) {
		this.extraTime = extraTime;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	@Override
	public String toString() {
		return "WorkdayProrogation [id=" + id + ", source=" + source + ", person=" + person + ", device=" + device
				+ ", requestMessage=" + requestMessage + ", date=" + date + ", startTime=" + startTime + ", endTime="
				+ endTime + ", finalTime=" + finalTime + ", extraTime=" + extraTime + ", status=" + status + "]";
	}	
	
	
}
