package com.fsense.entities;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@SuppressWarnings("serial")
public class WorkdayProrogationListResponse implements Serializable {
	
	private String endpoint;
	private Integer currentPage;
	private Integer totalPages;
	private Integer totalRecords;
	private List<WorkdayProrogation> data = new ArrayList<>();
	
	public WorkdayProrogationListResponse() {
	}

	public WorkdayProrogationListResponse(String endpoint, Integer currentPage, Integer totalPages,
			Integer totalRecords) {
		this.endpoint = endpoint;
		this.currentPage = currentPage;
		this.totalPages = totalPages;
		this.totalRecords = totalRecords;
	}

	public String getEndpoint() {
		return endpoint;
	}

	public void setEndpoint(String endpoint) {
		this.endpoint = endpoint;
	}

	public Integer getCurrentPage() {
		return currentPage;
	}

	public void setCurrentPage(Integer currentPage) {
		this.currentPage = currentPage;
	}

	public Integer getTotalPages() {
		return totalPages;
	}

	public void setTotalPages(Integer totalPages) {
		this.totalPages = totalPages;
	}

	public Integer getTotalRecords() {
		return totalRecords;
	}

	public void setTotalRecords(Integer totalRecords) {
		this.totalRecords = totalRecords;
	}

	public List<WorkdayProrogation> getData() {
		return data;
	}
}
