package com.fsense.entities;

import java.io.Serializable;

@SuppressWarnings("serial")
public class WorkdayProrogationQuery implements Serializable {
	
	private Integer personId;
	private String deviceIdentifier;
	private Integer deviceId;
	private String date;
	private String startTime;
	private String endTime;
	private String extraTime;
	
	public WorkdayProrogationQuery() {
	}

	public WorkdayProrogationQuery(Integer personId, String deviceIdentifier, Integer deviceId, String date,
			String startTime, String endTime, String extraTime) {
		this.personId = personId;
		this.deviceIdentifier = deviceIdentifier;
		this.deviceId = deviceId;
		this.date = date;
		this.startTime = startTime;
		this.endTime = endTime;
		this.extraTime = extraTime;
	}

	public Integer getPersonId() {
		return personId;
	}

	public void setPersonId(Integer personId) {
		this.personId = personId;
	}

	public String getDeviceIdentifier() {
		return deviceIdentifier;
	}

	public void setDeviceIdentifier(String deviceIdentifier) {
		this.deviceIdentifier = deviceIdentifier;
	}

	public Integer getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(Integer deviceId) {
		this.deviceId = deviceId;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getExtraTime() {
		return extraTime;
	}

	public void setExtraTime(String extraTime) {
		this.extraTime = extraTime;
	}	
}