package com.fsense.entities;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
@SuppressWarnings("serial")
public class WorkdayResponse implements Serializable {
	
	private String endpoint;
	private WorkdayRequest query;
	private Integer currentPage;
	private Integer totalPages;
	private Integer totalRecords;
	public List<Workday> data = new ArrayList<>();
	
	public WorkdayResponse() {
	}

	public WorkdayResponse(String endpoint, WorkdayRequest query, Integer currentPage, Integer totalPages,
			Integer totalRecords) {
		this.endpoint = endpoint;
		this.query = query;
		this.currentPage = currentPage;
		this.totalPages = totalPages;
		this.totalRecords = totalRecords;
	}

	public String getEndpoint() {
		return endpoint;
	}

	public void setEndpoint(String endpoint) {
		this.endpoint = endpoint;
	}

	public WorkdayRequest getQuery() {
		return query;
	}

	public void setQuery(WorkdayRequest query) {
		this.query = query;
	}

	public Integer getCurrentPage() {
		return currentPage;
	}

	public void setCurrentPage(Integer currentPage) {
		this.currentPage = currentPage;
	}

	public Integer getTotalPages() {
		return totalPages;
	}

	public void setTotalPages(Integer totalPages) {
		this.totalPages = totalPages;
	}

	public Integer getTotalRecords() {
		return totalRecords;
	}

	public void setTotalRecords(Integer totalRecords) {
		this.totalRecords = totalRecords;
	}

	public List<Workday> getData() {
		return data;
	}

	@Override
	public String toString() {
		return "WorkdayResponse [endpoint=" + endpoint + ", query=" + query + ", currentPage=" + currentPage
				+ ", totalPages=" + totalPages + ", totalRecords=" + totalRecords + ", data=" + data + "]";
	}
	
	
}