package com.fsense.service.impl.writer;

import com.fsense.entities.FSCalendar;
import com.fsense.entities.FSCalendarAssociation;

import java.util.List;
import java.util.Properties;

public interface CalendarServiceWriter {

    void saveCalendars(Properties context, List<FSCalendar> calendars) throws Exception;

    void importCalendar(Properties context) throws Exception;

    void updateCalendar(Properties context) throws Exception;

    void saveCalendarByExternalCode(Properties context, FSCalendar calendar) throws Exception;

    void saveCalendarById(Properties context, FSCalendar calendar) throws Exception;

    void deleteCalendarById(Properties context) throws Exception;
    
    void saveCalendarAssociations(Properties context, Integer calendarId, FSCalendarAssociation calendarAssociation) throws Exception;
}
