package com.fsense.service.impl.writer;

import java.util.List;
import java.util.Properties;

import com.fsense.entities.Workday;

public interface WorkdayServiceWriter {
	
	void saveWorkdays(Properties context, List<Workday> workdays) throws Exception;
	
	void importWorkdays(Properties context) throws Exception;
	
	void saveWorkdayById(Properties context) throws Exception;
	
	void updateWorkdayById(Properties context) throws Exception;
	
	void deleteWorkdayById(Properties context) throws Exception;
	
	void associatePeople(Properties context) throws Exception;
	
	void associateTeams(Properties context) throws Exception;
	
	void disassociatePeople(Properties context) throws Exception;
	
	void disassociateTeams(Properties context) throws Exception;
	
	void exportPersonsAssociatedWithWorkdayById(Properties context) throws Exception;
	
	void exportTeamsAssociatedWithWorkdayById(Properties context) throws Exception;
}
