package com.fsense.entities;

import com.fasterxml.jackson.annotation.JsonProperty;

public class AuthError {
	
	private String error;
	@JsonProperty("error_description")
	private String errorDescription;
	
	public AuthError() {
	}

	public AuthError(String error, String errorDescription) {
		this.error = error;
		this.errorDescription = errorDescription;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	public String getErrorDescription() {
		return errorDescription;
	}

	public void setErrorDescription(String errorDescription) {
		this.errorDescription = errorDescription;
	}
}
