package com.fsense.entities;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@SuppressWarnings("serial")
public class CategoriesTeamResponse implements Serializable{
	
	private String endpoint;
	private Integer currentPage;
	private Integer totalPages;
	private Integer totalRecords;
	private ExportCategoriesRequest query;
	private List<CategoryTeam> data = new ArrayList<>();
	
	public CategoriesTeamResponse() {
	}

	public CategoriesTeamResponse(String endpoint, Integer currentPage, Integer totalPages, Integer totalRecords,
			ExportCategoriesRequest query) {
		this.endpoint = endpoint;
		this.currentPage = currentPage;
		this.totalPages = totalPages;
		this.totalRecords = totalRecords;
		this.query = query;
	}

	public String getEndpoint() {
		return endpoint;
	}

	public void setEndpoint(String endpoint) {
		this.endpoint = endpoint;
	}

	public Integer getCurrentPage() {
		return currentPage;
	}

	public void setCurrentPage(Integer currentPage) {
		this.currentPage = currentPage;
	}

	public Integer getTotalPages() {
		return totalPages;
	}

	public void setTotalPages(Integer totalPages) {
		this.totalPages = totalPages;
	}

	public Integer getTotalRecords() {
		return totalRecords;
	}

	public void setTotalRecords(Integer totalRecords) {
		this.totalRecords = totalRecords;
	}

	public ExportCategoriesRequest getQuery() {
		return query;
	}

	public void setQuery(ExportCategoriesRequest query) {
		this.query = query;
	}

	public List<CategoryTeam> getData() {
		return data;
	}
}
