package com.fsense.entities;

import java.io.Serializable;
@SuppressWarnings("serial")
public class CategoryQuery implements Serializable { 
	
	private String user;
	private String lastCollectedDate;
	private String lastModificationDate;
	private boolean onlyCategoryzed;
	private String teamId;
	private Integer page;
	private String application;
	
	public CategoryQuery() {
	}
	
	public CategoryQuery(String user, String lastCollectedDate, String lastModificationDate, boolean onlyCategoryzed, String teamId, Integer page, String application) {
		this.user = user;
		this.lastCollectedDate = lastCollectedDate;
		this.lastModificationDate = lastModificationDate;
		this.onlyCategoryzed = onlyCategoryzed;
		this.teamId = teamId;
		this.page = page;
		this.application = application;
	}

	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public String getLastCollectedDate() {
		return lastCollectedDate;
	}

	public void setLastCollectedDate(String lastCollectedDate) {
		this.lastCollectedDate = lastCollectedDate;
	}

	public String getLastModificationDate() {
		return lastModificationDate;
	}

	public void setLastModificationDate(String lastModificationDate) {
		this.lastModificationDate = lastModificationDate;
	}

	public boolean isOnlyCategoryzed() {
		return onlyCategoryzed;
	}

	public void setOnlyCategoryzed(boolean onlyCategoryzed) {
		this.onlyCategoryzed = onlyCategoryzed;
	}

	public String getTeamId() {
		return teamId;
	}

	public void setTeamId(String teamId) {
		this.teamId = teamId;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public String getApplication() {
		return application;
	}

	public void setApplication(String application) {
		this.application = application;
	}
}
