package com.fsense.entities;

import java.io.Serializable;
@SuppressWarnings("serial")
public class ExportCategoriesRequest implements Serializable{
	
	private Integer teamId;
	private String lastCollectedDate;
	private String lastModificationDate;
	private boolean onlyCategorized;
	private Integer page;
	private Integer limit;
	
	public ExportCategoriesRequest() {
	}

	public ExportCategoriesRequest(Integer teamId, String lastCollectedDate, String lastModificationDate,
			boolean onlyCategorized, Integer page, Integer limit) {
		this.teamId = teamId;
		this.lastCollectedDate = lastCollectedDate;
		this.lastModificationDate = lastModificationDate;
		this.onlyCategorized = onlyCategorized;
		this.page = page;
		this.limit = limit;
	}

	public Integer getTeamId() {
		return teamId;
	}

	public void setTeamId(Integer teamId) {
		this.teamId = teamId;
	}

	public String getLastCollectedDate() {
		return lastCollectedDate;
	}

	public void setLastCollectedDate(String lastCollectedDate) {
		this.lastCollectedDate = lastCollectedDate;
	}

	public String getLastModificationDate() {
		return lastModificationDate;
	}

	public void setLastModificationDate(String lastModificationDate) {
		this.lastModificationDate = lastModificationDate;
	}

	public boolean isOnlyCategorized() {
		return onlyCategorized;
	}

	public void setOnlyCategorized(boolean onlyCategorized) {
		this.onlyCategorized = onlyCategorized;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}
}