package com.fsense.entities;

import java.io.Serializable;

@SuppressWarnings("serial")
public class HolidayInsert implements Serializable{
	
	private String name;
	private String type;
	private String date;
	private boolean canRepeat;
	private Integer calendarId;
	
	public HolidayInsert() {
	}

	public HolidayInsert(String name, String type, String date, boolean canRepeat, Integer calendarId) {
		this.name = name;
		this.type = type;
		this.date = date;
		this.canRepeat = canRepeat;
		this.calendarId = calendarId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public boolean isCanRepeat() {
		return canRepeat;
	}

	public void setCanRepeat(boolean canRepeat) {
		this.canRepeat = canRepeat;
	}

	public Integer getCalendarId() {
		return calendarId;
	}

	public void setCalendarId(Integer calendarId) {
		this.calendarId = calendarId;
	}
}
