package com.fsense.entities;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@SuppressWarnings("serial")
public class HolidayResponse implements Serializable{
	
	private String endpoint;
	private HolidayRequest query;
	private Integer currentPage;
	private Integer totalPages;
	private Integer totalRecords;
	private List<Holiday> data = new ArrayList<>();
	
	public HolidayResponse() {
	}



	public HolidayResponse(String endpoint, HolidayRequest query, Integer currentPage, Integer totalPages,
			Integer totalRecords) {
		this.endpoint = endpoint;
		this.query = query;
		this.currentPage = currentPage;
		this.totalPages = totalPages;
		this.totalRecords = totalRecords;
	}

	public String getEndpoint() {
		return endpoint;
	}

	public void setEndpoint(String endpoint) {
		this.endpoint = endpoint;
	}

	public HolidayRequest getQuery() {
		return query;
	}

	public void setQuery(HolidayRequest query) {
		this.query = query;
	}
	
	public Integer getCurrentPage() {
		return currentPage;
	}
	
	public void setCurrentPage(Integer currentPage) {
		this.currentPage = currentPage;
	}

	public Integer getTotalPages() {
		return totalPages;
	}

	public void setTotalPages(Integer totalPages) {
		this.totalPages = totalPages;
	}

	public Integer getTotalRecords() {
		return totalRecords;
	}

	public void setTotalRecords(Integer totalRecords) {
		this.totalRecords = totalRecords;
	}

	public List<Holiday> getData() {
		return data;
	}

	public void setData(List<Holiday> data) {
		this.data = data;
	}
}
