package com.fsense.entities;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
@SuppressWarnings("serial")
public class PersonLeadersResponse implements Serializable {
	
	private String endpoint;
	private Integer query;
	private List<Person> data = new ArrayList<>();
	
	public PersonLeadersResponse() {
	}

	public PersonLeadersResponse(String endpoint, Integer query) {
		this.endpoint = endpoint;
		this.query = query;
	}

	public String getEndpoint() {
		return endpoint;
	}

	public void setEndpoint(String endpoint) {
		this.endpoint = endpoint;
	}

	public Integer getQuery() {
		return query;
	}

	public void setQuery(Integer query) {
		this.query = query;
	}

	public List<Person> getData() {
		return data;
	}
}
