package com.fsense.entities;

import java.io.Serializable;
@SuppressWarnings("serial")
public class PersonPaginateQuery implements Serializable {
	
	private String name;
	private String email;
	private String deviceIdentifier;
	private Integer page;
	private Integer limit;
	private Integer teamId;
	
	public PersonPaginateQuery() {
	}

	public PersonPaginateQuery(String name, String email, String deviceIdentifier, Integer page, Integer limit,
			Integer teamId) {
		this.name = name;
		this.email = email;
		this.deviceIdentifier = deviceIdentifier;
		this.page = page;
		this.limit = limit;
		this.teamId = teamId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getDeviceIdentifier() {
		return deviceIdentifier;
	}

	public void setDeviceIdentifier(String deviceIdentifier) {
		this.deviceIdentifier = deviceIdentifier;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public Integer getTeamId() {
		return teamId;
	}

	public void setTeamId(Integer teamId) {
		this.teamId = teamId;
	}
	
	
}
