package com.fsense.entities;

import java.io.Serializable;
@SuppressWarnings("serial")
public class WorkdayImportResponse implements Serializable {
	
	private String endpoint;
	private WorkdayRequest query;
	
	private Workday data;
	
	public WorkdayImportResponse() {
	}

	public WorkdayImportResponse(String endpoint, WorkdayRequest query, Workday data) {
		this.endpoint = endpoint;
		this.query = query;
		this.data = data;
	}

	public String getEndpoint() {
		return endpoint;
	}

	public void setEndpoint(String endpoint) {
		this.endpoint = endpoint;
	}

	public WorkdayRequest getQuery() {
		return query;
	}

	public void setQuery(WorkdayRequest query) {
		this.query = query;
	}

	public Workday getData() {
		return data;
	}

	public void setData(Workday data) {
		this.data = data;
	}

	@Override
	public String toString() {
		return "WorkdayImportResponse [endpoint=" + endpoint + ", query=" + query + ", data=" + data + "]";
	}
	
	
}
