package com.fsense.entities;

import java.io.Serializable;

@SuppressWarnings("serial")
public class WorkdayOverrideCreationRequest implements Serializable {
	
	private Integer personId;
	private String date;
	private String maxFlexibleDuration;
	private String startTime;
	private String intervalStartTime;
	private String intervalEndTime;
	private String endTime;
	private String message;
	
	public WorkdayOverrideCreationRequest() {
	}

	public WorkdayOverrideCreationRequest(Integer personId, String date,  String maxFlexibleDuration,String startTime, String intervalStartTime,
	 String intervalEndTime,String endTime, String message) {
		this.personId = personId;
		this.date = date;
		this.maxFlexibleDuration = maxFlexibleDuration;
		this.startTime = startTime;
		this.intervalStartTime = intervalStartTime;
		this.intervalEndTime = intervalEndTime;
		this.endTime = endTime;
		this.message = message;
	}

	public Integer getPersonId() {
		return personId;
	}

	public void setPersonId(Integer personId) {
		this.personId = personId;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}
	
	public String getMaxFlexibleDuration() {
		return maxFlexibleDuration;
	}

	public void setMaxFlexibleDuration(String maxFlexibleDuration) {
		this.maxFlexibleDuration = maxFlexibleDuration;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getIntervalStartTime() {
		return intervalStartTime;
	}

	public void setIntervalStartTime(String intervalStartTime) {
		this.intervalStartTime = intervalStartTime;
	}

	public String getIntervalEndTime() {
		return intervalEndTime;
	}

	public void setIntervalEndTime(String intervalEndTime) {
		this.intervalEndTime = intervalEndTime;
	}
	
	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	@Override
	public String toString() {
		return "personId=" + personId + ", date=" + date + ", startTime=" + startTime
				+ ", intervalStartTime=" + intervalStartTime + ", endTime=" + endTime + ", intervalEndTime="
				+ intervalEndTime + ", message=" + message;
	}
	
	
}
