package com.fsense.entities;

import java.io.Serializable;

@SuppressWarnings("serial")
public class WorkdayProrogationCreationResponse implements Serializable {
	
	private String endpoint;
	private WorkdayProrogationQuery query;
	private WorkdayProrogation data;
	
	public WorkdayProrogationCreationResponse() {
	}
	
	public WorkdayProrogationCreationResponse(String endpoint, WorkdayProrogationQuery query, WorkdayProrogation data) {
		this.endpoint = endpoint;
		this.query = query;
		this.data = data;
	}

	public String getEndpoint() {
		return endpoint;
	}

	public void setEndpoint(String endpoint) {
		this.endpoint = endpoint;
	}

	public WorkdayProrogationQuery getQuery() {
		return query;
	}

	public void setQuery(WorkdayProrogationQuery query) {
		this.query = query;
	}

	public WorkdayProrogation getData() {
		return data;
	}

	public void setData(WorkdayProrogation data) {
		this.data = data;
	}
}
