package com.fsense.entities;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@SuppressWarnings("serial")
public class WorkdayRequest implements Serializable{
	
	private String name;
	private boolean workNationalHolidays;
	private boolean workRegionalHolidays;
	private boolean isFlexible;
	private String ignoreNonFocusLongerThan;
	private List<WorkdaySchedule> workdayScheduleList = new ArrayList<>();
	
	public WorkdayRequest() {
	}

	public WorkdayRequest(String name, boolean workNationalHolidays, boolean workRegionalHolidays, boolean isFlexible, String ignoreNonFocusLongerThan) {
		this.name = name;
		this.workNationalHolidays = workNationalHolidays;
		this.workRegionalHolidays = workRegionalHolidays;
		this.isFlexible = isFlexible;
		this.ignoreNonFocusLongerThan = ignoreNonFocusLongerThan;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public boolean isWorkNationalHolidays() {
		return workNationalHolidays;
	}

	public void setWorkNationalHolidays(boolean workNationalHolidays) {
		this.workNationalHolidays = workNationalHolidays;
	}

	public boolean isWorkRegionalHolidays() {
		return workRegionalHolidays;
	}

	public void setWorkRegionalHolidays(boolean workRegionalHolidays) {
		this.workRegionalHolidays = workRegionalHolidays;
	}
	
	public boolean isFlexible() {
		return isFlexible;
	}

	public void setFlexible(boolean isFlexible) {
		this.isFlexible = isFlexible;
	}

	public String getIgnoreNonFocusLongerThan() {
		return ignoreNonFocusLongerThan;
	}

	public void setIgnoreNonFocusLongerThan(String ignoreNonFocusLongerThan) {
		this.ignoreNonFocusLongerThan = ignoreNonFocusLongerThan;
	}

	public List<WorkdaySchedule> getWorkdayScheduleList() {
		return workdayScheduleList;
	}

	@Override
	public String toString() {
		return "WorkdayRequest [name=" + name + ", workNationalHolidays=" + workNationalHolidays
				+ ", workRegionalHolidays=" + workRegionalHolidays + ", isFlexible=" + isFlexible
				+ ", ignoreNonFocusLongerThan=" + ignoreNonFocusLongerThan + ", workdayScheduleList="
				+ workdayScheduleList + "]";
	}
	
	
}
