package com.fsense.entities;

import java.io.Serializable;
@SuppressWarnings("serial")
public class WorkdaySchedule implements Serializable {
	
	private String weekday;
	private String maxFlexibleDuration;
	private String start;
	private String end;
	
	
	public WorkdaySchedule() {
	}

	public WorkdaySchedule(String weekday, String maxFlexibleDuration, String start, String end) {
		this.weekday = weekday;
		this.maxFlexibleDuration = maxFlexibleDuration;
		this.start = start;
		this.end = end;
	}

	public String getWeekday() {
		return weekday;
	}

	public void setWeekday(String weekday) {
		this.weekday = weekday;
	}

	public String getMaxFlexibleDuration() {
		return maxFlexibleDuration;
	}

	public void setMaxFlexibleDuration(String maxFlexibleDuration) {
		this.maxFlexibleDuration = maxFlexibleDuration;
	}

	public String getStart() {
		return start;
	}

	public void setStart(String start) {
		this.start = start;
	}

	public String getEnd() {
		return end;
	}

	public void setEnd(String end) {
		this.end = end;
	}

	@Override
	public String toString() {
		return "WorkdaySchedule [weekday=" + weekday + ", maxFlexibleDuration=" + maxFlexibleDuration + ", start="
				+ start + ", end=" + end + "]";
	}	
	
	
}
