package com.fsense.service.impl;

import java.util.Properties;

import com.fsense.entities.TokenResponse;
import com.fsense.service.IService;

public abstract class AuthenticatedService extends GenericService implements IService {

	private final AuthService authService;

	public AuthenticatedService(Properties context) {
		super(context);
		this.authService = new AuthService(context);
	}

	public TokenResponse getToken(Properties context) throws Exception {
		return this.authService.getToken(context);
	}
}
