package com.fsense.service.impl.writer;

import java.util.List;
import java.util.Properties;

import com.fsense.entities.Team;

public interface TeamServiceWriter {
	
	void saveTeams(Properties context, List<Team> teams) throws Exception;
	
	void importTeam(Properties context) throws Exception;
	
	void updateTeamById(Properties context) throws Exception;
	
	void deleteTeamById(Properties context) throws Exception;
	
	void exportTeamDetailsById(Properties context) throws Exception;
	
	void addMembership(Properties context) throws Exception;
	
	void removeMembership(Properties context) throws Exception;
	
	void addLeader(Properties context) throws Exception;
	
	void removeLeader(Properties context) throws Exception;
}
